﻿using Microsoft.Extensions.Options;
using Quartz;
using RestSharp;
using RestSharp.Extensions;
using System;
using System.Collections.Generic;
using System.IO;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    public class BakJob : IJob
    {
        public TestBakConfig testBakConfig;

        public BakJob(IOptions<TestBakConfig> options)
        {
            testBakConfig = options.Value;
        }

        public Task Execute(IJobExecutionContext context)
        {

            var BaseUrl = "http://update.test.kswyit.com/DebtMgr/updateDebtMgr.zip";
            new WebClient { }.DownloadFile(BaseUrl, testBakConfig.FullName+".zip");


            return Task.CompletedTask;
        }
    }
}
